% Skript laufkatze_1.m, in dem eine Laufkatze mit Pendellast
% untersucht wird. Arbeitet mit Modell laufkatze1.mdl
% Die Differentialgleichungen wurden aus 
% http://www.tm-aktuell.de/TM5/Laufkatze/laufkatze_matlab.html
% übernommen
clear;
% ------- Parameter des Systems
mk = 100;          % Masse Laufkatze
mL = 500;          % Masse Last
JL = 400;          % Trägheitsmoment der Last 
ls = 4;            % Länge des Pendels
F0 = 2000;         % Kraftstoß
dft = 1;           % Prozent von Tfinal  als Dauer des Stoßes
g = 9.89;
% ------- Aufruf der Simulation
Tfinal = 20;
dt = 0.01;

my_options = simset('Solver', 'ode45', 'MaxStep', dt);
sim('laufkatze1', [0,Tfinal], my_options);

x = y.signals.values(:,1);
phi = y.signals.values(:,2);
t = y.time;

figure(1);   clf;
a(1) = subplot(211), plot(t, x);
title('Lage der Laufkatze');    grid on;
xlabel('Zeit in s');

a(2) = subplot(212), plot(t, phi);
title('Winkel der Pendellast');    grid on;
xlabel('Zeit in s');
linkaxes(a,'x');